### Function

# ECal ComponentDateTime new_take

since: 3.34

#### Declaration [src]

    ECalComponentDateTime*
    e_cal_component_datetime_new_take (
      ICalTime* value,
      gchar* tzid
    )

#### Description [src]

Creates a new `ECalComponentDateTime` instance, which holds the `value` and `tzid`. It is similar to e_cal_component_datetime_new(), except this function assumes ownership of the `value` and `tzid`. The returned structure should be freed with e_cal_component_datetime_free(), when no longer needed.

Available since: 3.34

#### Parameters

`value`

  Type: `None`

  An `ICalTime` as a value.

  The called function takes ownership of the data, and is responsible for freeing it.

`tzid`

  Type: `gchar*`

  Timezone ID for the `value`, or `NULL`.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalComponentDateTime`

A new `ECalComponentDateTime`.

The caller of the function takes ownership of the data, and is responsible for freeing it.